/*
 * 作成日: 2005/11/04
 *
 * TODO この生成されたファイルのテンプレートを変更するには次へジャンプ:
 * ウィンドウ - 設定 - Java - コード・スタイル - コード・テンプレート
 */
package aji;

import org.eclipse.swt.events.SelectionEvent;
import org.eclipse.swt.events.SelectionListener;
//import org.eclipse.swt.graphics.Color;
//import org.eclipse.swt.graphics.Image;
import org.eclipse.swt.layout.*;
import org.eclipse.swt.widgets.*;
import org.eclipse.swt.SWT;
/**
 * @author Kazuya
 *
 * TODO この生成された型コメントのテンプレートを変更するには次へジャンプ:
 * ウィンドウ - 設定 - Java - コード・スタイル - コード・テンプレート
 */
//名前検索
public class SearchNameTes{
	Singleton instance = Singleton.getInstance();
	private Composite comp;
	public SearchNameTes(){
		
	}
	public void visiWin(){
		comp.setVisible(false);
	}
	Button button[] = new Button[49];
	Button button2[] = new Button[30];
	int i=0;
	char a = 'あ';
	char atama = 'が';
	int g=1,z=1,d=1,b=1,p=1;
	public void make_SearchName(){
		comp = new Composite(instance.getShell(), SWT.NONE);
		comp.setSize(800,535);
		
		GridLayout gridLayout = new GridLayout(5,false);
		gridLayout.horizontalSpacing = 10;
		gridLayout.verticalSpacing = 10;
		comp.setLayout(new GridLayout(5,false));
		
		int k=0,s=0,t=0,n=0,h=0,m=0,y=0,r=0,w=0;
		
		for(i=0;i<49;i++)button[i] = new Button(comp, SWT.PUSH);
		
		
		
		for(i=0; i < 49; i++){
			if(i < 5){
				button[i].setBounds(i - i,i * 50,50,50);
			}else if(i < 10){
				button[i].setBounds(i - i + 50,k++ * 50,50,50);
			}else if(i < 15){
				button[i].setBounds(i - i + 100,s++ * 50,50,50);
			}else if(i < 20){
				button[i].setBounds(i - i + 150,t++ * 50,50,50);
			}else if(i < 25){
				button[i].setBounds(i - i + 200,n++ * 50,50,50);
			}else if(i < 30){
				button[i].setBounds(i - i + 250,h++ * 50,50,50);
			}else if(i < 35){
				button[i].setBounds(i - i + 300,m++ * 50,50,50);
			}else if(i < 40){
				button[i].setBounds(i - i + 350,y++ * 50,50,50);
			}else if(i <= 45){
				button[i].setBounds(i - i + 400,r++ * 50,50,50);
			}else if(i <= 50){
				button[i].setBounds(i - i + 450,w++ * 50,50,50);
			}
			if(i == 37){
				button[37].setBounds(i-i + 350,--y * 50,50,50);
				button[37].setText("よ");
				a++;
				i = 40;
				button[37].addSelectionListener(new SelectionListener(){ 	  	
					public void widgetSelected(SelectionEvent arg0) {
						// TODO 自動生成されたメソッド・スタブ
						char moji;
						String str;
						str = arg0.toString();
						moji = str.charAt(23);
						System.out.println(moji);
						visiWin();
						new SearchNameList().make_SearchNameList();
					}
					public void widgetDefaultSelected(SelectionEvent arg0) {
						// TODO 自動生成されたメソッド・スタブ	
					}
				});
			}else{ 
				if(a == 'を' ||a == 'お' || a >= 'な' && a <= 'の' || a >= 'ま' && a <= 'め' || a >= 'ら' && a <= 'れ'){
					button[i].setText(a++ + "");
				}else if(a == 'ち' || a >= 'は' && a <= 'ほ' || a == 'わ' ){
					button[i].setText(a++ + "");
					a+=2;
				}else{
					button[i].setText(a++ + "");
					a++;
				}
			}
			button[i].addSelectionListener(new SelectionListener(){ 	  	
				public void widgetSelected(SelectionEvent arg0) {
					// TODO 自動生成されたメソッド・スタブ
					
					visiWin();
					new SearchNameList().make_SearchNameList();
					
					char moji;
					String str;
					str = arg0.toString();
					moji = str.charAt(23);
					System.out.println(moji);
				
					
					
				}
				public void widgetDefaultSelected(SelectionEvent arg0) {
					// TODO 自動生成されたメソッド・スタブ	
				}
			});
			
		}	
		
		for(i=0;i<30;i++)button2[i] = new Button(comp, SWT.PUSH);
		
		char ba = ' ';
		
		for(i=0; i < 30; i++){
			if(i < 5){
				button2[i].setBounds(i - i,g++ * 50 + 230,50,50);
			}else if(i < 10){
				button2[i].setBounds(i - i + 50,z++ * 50 + 230,50,50);
			}else if(i < 15){
				button2[i].setBounds(i - i + 100,d++ * 50 + 230,50,50);
			}else if(i < 20){
				button2[i].setBounds(i - i + 150,b++ * 50 + 230,50,50);
			}else if(i < 25){
				button2[i].setBounds(i - i + 200,p++ * 50 + 230,50,50);

			}
			
			if(atama == 'ど'){
				button2[i].setText(atama++ + "");
				atama += 6;
			}else if(atama == 'ぢ'){
				button2[i].setText(atama++ + "");
				atama+=2;
			}else if(atama >= 'ば' && atama <= 'ぼ'){
				if (atama == 'ば')ba = atama;
				button2[i].setText(atama++ + "");
				atama += 2;
			
			}else if(atama == 'み'){
				button2[i].setText(++ba + "");
				ba += 2;
			}
			else{
				button2[i].setText(atama++ + "");
				atama++;
			}
			
			button2[i].addSelectionListener(new SelectionListener(){ 	  	
				public void widgetSelected(SelectionEvent arg0) {
					// TODO 自動生成されたメソッド・スタブ
					char moji;
					String str;
					str = arg0.toString();
					moji = str.charAt(23);
					System.out.println(moji);
					visiWin();
					new SearchNameList().make_SearchNameList();
				}
				public void widgetDefaultSelected(SelectionEvent arg0) {
					// TODO 自動生成されたメソッド・スタブ	
				}
			});
			
		}
		

		}
	
	
	private SelectionListener newSelectionListener(){
		return  new SelectionListener(){ 	  	
			public void widgetSelected(SelectionEvent arg0) {
				// TODO 自動生成されたメソッド・スタブ
				System.out.println();
				//new ChangeWin().change();	
			}
			public void widgetDefaultSelected(SelectionEvent arg0) {
				// TODO 自動生成されたメソッド・スタブ	
			}
		};
	}
}
